Bug 2149273 - [kernel] compressed vmlinux kernel image not packaged anymore (s390)
Summary: [kernel] compressed vmlinux kernel image not packaged anymore (s390)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 37
Hardware: s390x
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-11-29 12:02 UTC by Heiko Carstens
Modified: 2022-12-05 01:52 UTC (History)
17 users (show)

Fixed In Version: kernel-6.0.11-100.fc35 kernel-6.0.11-300.fc37 kernel-6.0.11-200.fc36
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-12-05 01:32:49 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Adjust path to compressed vmlinux kernel image (422 bytes, patch)
2022-11-29 12:02 UTC, Heiko Carstens
no flags Details | Diff

Description Heiko Carstens 2022-11-29 12:02:31 UTC
Created attachment 1928251 [details]
Adjust path to compressed vmlinux kernel image

The compressed vmlinux kernel image is not packaged anymore on s390.

The reason for this is that the location of the compressed vmlinux file changed in the kernel with commit edd4a8667355 ("s390/boot: get rid of startup archive") from arch/s390/boot/compressed/vmlinux to arch/s390/boot/vmlinux.

This change must also be reflected in the kernel.spec file of the kernel source rpm. I'm attaching a patch which will do that.

Comment 1 Fedora Update System 2022-12-03 00:55:22 UTC
FEDORA-2022-b36cd53dca has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-b36cd53dca

Comment 2 Fedora Update System 2022-12-03 00:55:35 UTC
FEDORA-2022-24041b1667 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-24041b1667

Comment 3 Fedora Update System 2022-12-03 00:55:48 UTC
FEDORA-2022-e4460c41bc has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e4460c41bc

Comment 4 Fedora Update System 2022-12-04 01:43:35 UTC
FEDORA-2022-e4460c41bc has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-e4460c41bc`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-e4460c41bc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-12-04 02:02:45 UTC
FEDORA-2022-b36cd53dca has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-b36cd53dca`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-b36cd53dca

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-12-04 02:39:43 UTC
FEDORA-2022-24041b1667 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-24041b1667`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-24041b1667

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-12-05 01:32:49 UTC
FEDORA-2022-b36cd53dca has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2022-12-05 01:35:03 UTC
FEDORA-2022-e4460c41bc has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2022-12-05 01:52:15 UTC
FEDORA-2022-24041b1667 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.